summaryrefslogtreecommitdiff
path: root/precise-armhf-libc-dev/customization/hooks/60-remove_not_needed.binary
diff options
context:
space:
mode:
authorMarcin Juszkiewicz <marcin.juszkiewicz@linaro.org>2012-05-21 21:53:14 +0200
committerMarcin Juszkiewicz <marcin.juszkiewicz@linaro.org>2012-05-21 21:54:45 +0200
commitb6101b8d635efcf4720fade6b67f22e7ad466c9f (patch)
tree5b4cb5778855c3f6cddefd1758b41b787f46f634 /precise-armhf-libc-dev/customization/hooks/60-remove_not_needed.binary
parent62323ba1fdddf8e798bb5614ea2f22e4712fcc36 (diff)
hooks: change symlinks to relative, move sysroot to binary/libc
Diffstat (limited to 'precise-armhf-libc-dev/customization/hooks/60-remove_not_needed.binary')
-rwxr-xr-xprecise-armhf-libc-dev/customization/hooks/60-remove_not_needed.binary13
1 files changed, 13 insertions, 0 deletions
diff --git a/precise-armhf-libc-dev/customization/hooks/60-remove_not_needed.binary b/precise-armhf-libc-dev/customization/hooks/60-remove_not_needed.binary
new file mode 100755
index 0000000..55a7447
--- /dev/null
+++ b/precise-armhf-libc-dev/customization/hooks/60-remove_not_needed.binary
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+cd binary/boot/filesystem.dir
+
+rm -rf usr/share/{groff,linda,lintian,info,man,perl,locale,fonts,icons,i18n,gtk-doc,ghostscript} \
+ boot lib/modules \
+ lib/firmware dev home lib/init lib/lsb lib/systemd lib/terminfo \
+ usr/lib/firefox*/searchplugins/common \
+ etc bin usr/bin sbin usr/sbin var usr/local usr/games lib64 \
+ usr/lib/{locale,gnupg,apt,ConsoleKit,initramfs-tools,ldscripts,mime,sasl2,ssl,tc,upstart,user-setup,valgrind}\
+ lib/udev lib/xtables media mnt opt proc root run selinux srv sys tmp
+
+rmdir -p `find . -type d -empty` || true